io.vertx.rxjava3.ext.web.handler.graphql

## Class ApolloWSHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.ApolloWSHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class ApolloWSHandler
      extends Object
      implements Handler<RoutingContext>

  A handler for GraphQL requests sent over Apollo's `subscriptions-transport-ws` transport.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ApolloWSHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApolloWSHandler(ApolloWSHandler delegate)`
    `ApolloWSHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApolloWSHandler` | `connectionHandler(Handler<ServerWebSocket> connectionHandler)` Customize the connection .
    `ApolloWSHandler` | `connectionInitHandler(Handler<ApolloWSConnectionInitEvent> connectionInitHandler)` Customize the connection init .
    `static ApolloWSHandler` | `create(graphql.GraphQL graphQL)` Create a new `ApolloWSHandler` that will use the provided `graphQL` object to execute requests.
    `static ApolloWSHandler` | `create(graphql.GraphQL graphQL, ApolloWSOptions options)` Create a new `ApolloWSHandler` that will use the provided `graphQL` object to execute requests.
    `ApolloWSHandler` | `dataLoaderRegistry(java.util.function.Function<ApolloWSMessage,org.dataloader.DataLoaderRegistry> factory)` Customize the .
    `ApolloWSHandler` | `endHandler(Handler<ServerWebSocket> endHandler)` Customize the end .
    `boolean` | `equals(Object o)`
    `ApolloWSHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `ApolloWSHandler` | `locale(java.util.function.Function<ApolloWSMessage,Locale> factory)` Customize the passed to the GraphQL execution engine.
    `ApolloWSHandler` | `messageHandler(Handler<ApolloWSMessage> messageHandler)` Customize the message .
    `static ApolloWSHandler` | `newInstance(ApolloWSHandler arg)`
    `ApolloWSHandler` | `queryContext(java.util.function.Function<ApolloWSMessage,Object> factory)` Customize the query context object.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ApolloWSHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### ApolloWSHandler

          public ApolloWSHandler(ApolloWSHandler delegate)

    - #### ApolloWSHandler

          public ApolloWSHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ApolloWSHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### connectionHandler

          public ApolloWSHandler connectionHandler(Handler<ServerWebSocket> connectionHandler)

      Customize the connection . This handler will be called at the beginning of each websocket connection.
      Parameters:
        `connectionHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### connectionInitHandler

          public ApolloWSHandler connectionInitHandler(Handler<ApolloWSConnectionInitEvent> connectionInitHandler)

      Customize the connection init . This handler will be called when the message is received.
      Parameters:
        `connectionInitHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### messageHandler

          public ApolloWSHandler messageHandler(Handler<ApolloWSMessage> messageHandler)

      Customize the message . This handler will be called for each `ApolloWSMessage` received.
      Parameters:
        `messageHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public ApolloWSHandler endHandler(Handler<ServerWebSocket> endHandler)

      Customize the end . This handler will be called at the end of each websocket connection.
      Parameters:
        `endHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### queryContext

          public ApolloWSHandler queryContext(java.util.function.Function<ApolloWSMessage,Object> factory)

      Customize the query context object. The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### create

          public static ApolloWSHandler create(graphql.GraphQL graphQL)

      Create a new `ApolloWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the default `ApolloWSOptions`.

      Parameters:
        `graphQL` -
      Returns:

    - #### create

          public static ApolloWSHandler create(graphql.GraphQL graphQL,
                                               ApolloWSOptions options)

      Create a new `ApolloWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the given `options`.

      Parameters:
        `graphQL` -
        `options` - options for configuring the `ApolloWSOptions`
      Returns:

    - #### dataLoaderRegistry

          public ApolloWSHandler dataLoaderRegistry(java.util.function.Function<ApolloWSMessage,org.dataloader.DataLoaderRegistry> factory)

      Customize the . The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### locale

          public ApolloWSHandler locale(java.util.function.Function<ApolloWSMessage,Locale> factory)

      Customize the passed to the GraphQL execution engine. The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static ApolloWSHandler newInstance(ApolloWSHandler arg)

Copyright © 2021 Eclipse. All rights reserved.